# Pan Plus

Validates PAN details and provides extended profile information linked to the PAN from official data sources.

### pan\_plus

`POST` `https://secctrl.tutelar.io/api/v1/kyc/identity/pan_plus`

#### Post parameters description is given below

| Post Parameter | Type   | Is Mandatory | Description     |
| -------------- | ------ | ------------ | --------------- |
| pan\_number    | String | Yes          | Your Pan Number |

#### Sample Post Parameters

```json
{
    "pan_number": "XXXXXX842C"
}
```

200: Success Response

200: InProgress Response

400: Validation Error Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2eae0fdd-5039-4020-9c0c-15cab69b4386",
    "status": "completed",
    "result": {
        "pan_number": "XXXXXX842C",
        "first_name": "NARESH",
        "middle_name": "",
        "last_name": "AHIRWAR",
        "aadhar_number": "XXXXXXXX6241",
        "aadhar_linked": true,
        "dob_verified": false,
        "dob_check": false,
        "email": "GAUTAMNARESH96@GMAIL.COM",
        "dob": "1996-06-05",
        "gender": "M",
        "indentity_type": "Individual",
        "mobile_no": 9540468437,
        "adresss_1": "HOUSE NO-48 RAJNAGAR",
        "address_2": "NAYAK MOHALLA",
        "address_3": "CHHATARPUR",
        "pin_code": "471625",
        "city": "CHHATARPUR",
        "state": "MADHYA PRADESH",
        "country": "INDIA"
    },
    "requested_at": "2026-02-13T06:18:26.098Z",
    "completed_at": "2026-02-13T06:18:26.175Z"
}
```

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Pan Number should not be empty",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Pan Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```

```json
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "d159a4bc-eff3-4e15-be96-8b9de2ae4a77",
    "status": "failed",
    "error": {
        "message": "Data Not Found !",
        "code": "ERROR"
    },
    "requested_at": "2026-02-13T06:18:05.230Z",
    "completed_at": "2026-02-13T06:18:05.714Z"
}
```

### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/identity/pan_plus`

#### Query parameters description is given below

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: InProgress Response

200: Failure Response

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2eae0fdd-5039-4020-9c0c-15cab69b4386",
    "status": "completed",
    "result": {
        "pan_number": "XXXXXX842C",
        "first_name": "NARESH",
        "middle_name": "",
        "last_name": "AHIRWAR",
        "aadhar_number": "XXXXXXXX6241",
        "aadhar_linked": true,
        "dob_verified": false,
        "dob_check": false,
        "email": "GAUTAMNARESH96@GMAIL.COM",
        "dob": "1996-06-05",
        "gender": "M",
        "indentity_type": "Individual",
        "mobile_no": 9540468437,
        "adresss_1": "HOUSE NO-48 RAJNAGAR",
        "address_2": "NAYAK MOHALLA",
        "address_3": "CHHATARPUR",
        "pin_code": "471625",
        "city": "CHHATARPUR",
        "state": "MADHYA PRADESH",
        "country": "INDIA"
    },
    "requested_at": "2026-02-13T06:18:26.098Z",
    "completed_at": "2026-02-13T06:18:26.175Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2026-02-13T09:26:36.780Z"
}
```

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "d159a4bc-eff3-4e15-be96-8b9de2ae4a77",
    "status": "failed",
    "error": {
        "message": "Data Not Found !",
        "code": "ERROR"
    },
    "requested_at": "2026-02-13T06:18:05.230Z",
    "completed_at": "2026-02-13T06:18:05.714Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/pan-plus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
